NAME=layout
VERSION=latest
BUILD_TIME      := $(shell date "+%F %T")
COMMIT_SHA1     := $(shell git rev-parse HEAD)
AUTHOR          := $(shell git show -s --format='%an')


.PHONY: all
all: test

rsync:
	@rsync -azP --exclude ".*/"  --exclude "tmp/" `pwd` sxkj@192.168.199.107:/home/sxkj/zhangli

test: rsync
	@ssh sxkj@192.168.199.107 -t 'cd /home/sxkj/zhangli/yl-ocr-layout && make image'

image:
	@docker build -t SXKJ:32775/$(NAME):gpu --build-arg VERSION=gpu .
	@docker push SXKJ:32775/$(NAME):gpu

cpu:
	@docker build -t registry.cn-hangzhou.aliyuncs.com/sxtest/$(NAME):cpu --build-arg VERSION=cpu .
	@docker push registry.cn-hangzhou.aliyuncs.com/sxtest/$(NAME):cpu